<?php
class MGL_InstagramGalleryLiked extends MGL_InstagramGalleryBase {

    public function __construct( $args ){
        $this->type = 'liked';
        parent::__construct( $args );
    }

    public function getUrlRequestToGetGalleryFromInstagramServer(){
        
        $nextUrl = ( $this->nextId != '' ) ? '&max_like_id=' . $this->nextId : '';
        $urlRequest = 'https://api.instagram.com/v1/users/self/media/liked?access_token='.$this->accessToken.'&count='.$this->count.$nextUrl;

        return $urlRequest;
        
    }

    public function configureNavigation(){
        
        if(isset($this->gallery->pagination->next_max_like_id)) {
            $this->nextId = $this->gallery->pagination->next_max_like_id;
        }

    }
}