<?php
class MGL_InstagramGalleryLocation extends MGL_InstagramGalleryBase {

    public function __consctruct( $args ){
        $this->type = 'location';
        parent::__consctruct( $args );
    }

    public function getUrlRequestToGetGalleryFromInstagramServer(){
        if($this->location_id == 0) { echo 'You need to setup a location_id!'; return false; }

        $nextUrl = ( $this->nextId != '' ) ? '&max_id='. $this->nextId : '';
        $urlRequest = 'https://api.instagram.com/v1/locations/'.$this->location_id.'/media/recent?access_token='.$this->accessToken.'&count='.$this->count.$nextUrl;
        
        return $urlRequest;   
    }

    public function configureNavigation(){
        if(isset($this->gallery->pagination->next_max_id)) {
            $this->nextId = $this->gallery->pagination->next_max_id;
        }
    }
}