<?php

class MGL_InstagramGalleryTag extends MGL_InstagramGalleryBase {
    
    public function __construct( $args ){
        $this->type = 'tag';
        parent::__construct( $args );
    }

    function getUrlRequestToGetGalleryFromInstagramServer(){
        
        if( $this->tag == '') { echo 'You need to setup a tag!'; return false; }

        $nextUrl = ( $this->nextId != '' ) ? '&max_tag_id=' . $this->nextId : '';
        $urlRequest = 'https://api.instagram.com/v1/tags/'. $this->tag .'/media/recent?access_token=' . $this->accessToken . $nextUrl;

        return $urlRequest;
    }

    function configureNavigation(){
        if( isset($this->gallery->pagination->next_max_tag_id) ){
            
            $this->nextId = $this->gallery->pagination->next_max_tag_id;
            $this->prevId = $this->gallery->pagination->min_tag_id;
        }
    }
}