
(function($){
	$(document).ready(function(){
		$('.mgl_instagram_gallery').each(function(){
			var $gallery = $( this );
			if(  $gallery.attr('mgl-gallery-directlink') == 'false' && $gallery.attr('mgl-gallery-disablejs') == 'false'  ){

				var options = {
					type : ( $gallery.attr('mgl-gallery-video') == 'true' ) ? 'ajax' : 'image',
					mainClass : 'mgl_instagram_lightbox',
					removalDealy : 500,
					callbacks: {
						open: function(){
							$('.mfp-title').hide();
						},
						close: function(){
							$('.mfp-title').hide();
						}
					}
				};

				if( $gallery.attr('mgl-gallery-video') == 'true'){
					options.gallery = {
			          enabled: true,
					  navigateByImgClick: false
					}

					options.callbacks.ajaxContentAdded = function() {
					    var magnificPopup = $.magnificPopup.instance;
					    $(this.content).find('.mfp-counter').append(magnificPopup.index+1 +' of '+magnificPopup.items.length); 
					    $('.mfp-title').show();
					}
				}else{
					options.gallery = {
						enabled : true
					}

					options.callbacks.imageLoadComplete = function(){
						$('.mfp-title').show();
					}

					options.image = { 
				  		titleSrc: 'title',
				  		markup: '<div class="mfp-figure">'+
			            '<div class="mfp-close"></div>'+
			            '<div class="mfp-img"></div>'+
			            '<div class="mfp-bottom-bar">'+
			              '<div class="mfp-title"></div>'+
			              '<div class="mfp-counter"></div>'+
			            '</div>'+
			          '</div>',
				  	}
				}
				
				$(".mgl_instagram_photo", $gallery).off('click.magnificPopup');
				$('.mgl_instagram_photo' , $gallery).magnificPopup(options);

				
			}

			
		})
	});
})(jQuery);