<?php   
/* 
Plugin Name: MaGeek Lab Instagram Gallery  (shared on wplocker.com)
Plugin URI: http://www.mageeklab.com 
Description: Plugin for displaying Instagram photo & video galleries the easy way
Author: MaGeek Lab 
Version: 2.2
Author URI: http://www.mageeklab.com  
*/ 

define('MGL_INSTAGRAM_GALLERY_DOMAIN', 'mgl_instagram_gallery' );
define('MGL_INSTAGRAM_GALLERY_URL_BASE', plugin_dir_url(__FILE__) );

if( !class_exists( 'WP_Http' ) )
        include_once( ABSPATH . WPINC. '/class-http.php' ); 

add_action('plugins_loaded', 'mgl_instagram_gallery_translation');
function mgl_instagram_gallery_translation() {
    load_plugin_textdomain('mgl_instagram_gallery', false, dirname( plugin_basename( __FILE__ ) )  . '/lang/');
}

//INCLUDES
require_once( 'galleries/noerror.php' );
require_once( 'galleries/MGL_InstagramGalleryBase.class.php' );
require_once( 'galleries/MGL_InstagramGalleryTag.class.php' );
require_once( 'galleries/MGL_InstagramGalleryUser.class.php' );
require_once( 'galleries/MGL_InstagramGalleryLiked.class.php' );
require_once( 'galleries/MGL_InstagramGalleryFeed.class.php' );
require_once( 'galleries/MGL_InstagramGalleryLocation.class.php' );
require_once( 'MGL_Instagram_LocationSearch.class.php' );

require_once( 'MGL_InstagramGalleryController.class.php' );

if( is_admin() ) {
    require('MGL_InstagramGalleryAdmin.class.php');
}

//VC 

require_once( 'vc_extend.php' );
